Bug 834601 - Publican is using the same /usr/share/publican/xsl/html-single.xsl to generate both pdf and html outputs
Publican is using the same /usr/share/publican/xsl/html-single.xsl to generat...
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.8
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 10:39 EDT by Laurent Perez
Modified: 2012-11-06 20:26 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 20:26:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurent Perez 2012-06-22 10:39:00 EDT
Description of problem:

Publican is using the same /usr/share/publican/xsl/html-single.xsl to generate both pdf and html outputs when using --formats=pdf,html-single.
The pdf should use pdf.xsl

Version-Release number of selected component (if applicable):
2-8-3 sid : http://packages.debian.org/source/sid/publican

How reproducible:
Always

Steps to Reproduce:
1. publican build --nocolours --common_content --formats=pdf,html-single --lang=all
  
Actual results:
The pdf is generated using html-single.xsl

Expected results:
The pdf is generated using pdf.xsl

Additional info:
||/ Nom                 Version             Description
+++-===================-===================-======================================================
ii  docbook-xsl         1.76.1+dfsg-1       stylesheets for processing DocBook XML to various outp
ii  publican            2.8-3               Tool for publishing material authored in DocBook XML
Comment 1 Laurent Perez 2012-06-22 11:04:13 EDT
Same with ubuntu's 2-8-2 @ http://packages.ubuntu.com/precise/all/publican/download
Comment 2 Jeff Fearn 2012-06-24 18:51:58 EDT
This is expected, if poorly thought out, behavior in Publican 2.8 which has wkhtmltopdf as a tech preview.

If wkhtmltopdf is installed Publican will detect it and use that to generate PDF's instead of FOP. pdf.xsl is for FO generation and specifically designed for FOP. You need to uninstall wkhtmltopdf to change back to FOP and pdf.xsl.

In Publican 3 there is a html-pdf.xsl file which does some tweaking of the standard HTML output so that wkhtmltopdf can do better page breaking and header formatting.

Not closing this as we might want to reconsider a better way of switching between FOP and wkhtmltopdf for Publican 3.

P.S. I'm assuming you actually have wkhtmltopdf installed, if not then there must be a bug in the way we are checking if it's installed.
Comment 3 Jeff Fearn 2012-11-06 20:26:41 EST
Publican 3.0 uses separate xsl files for these outputs.

Note You need to log in before you can comment on or make changes to this bug.